This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 504404 - yum-security fails
yum-security fails
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-06 07:00 EDT by colin
Modified: 2014-01-21 18:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-09 13:01:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description colin 2009-06-06 07:00:00 EDT
yum --security update
yum list-security
yum info-security

All fail in a sinilar way with a trace.

[root@k8 yum]#  yum --security check-update
Loaded plugins: allowdowngrade, changelog, merge-conf, refresh-packagekit, security
Limiting package lists to security relevant ones
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 229, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 104, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 339, in doCommands
    self._getTs(needTsRemove)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 101, in _getTs
    self._getTsInfo(remove_only)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 112, in _getTsInfo
    pkgSack = self.pkgSack
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 592, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 447, in _getSacks
    self.plugins.run('exclude')
  File "/usr/lib/python2.5/site-packages/yum/plugins.py", line 178, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/security.py", line 503, in exclude_hook
    md_info = ysp_gen_metadata(conduit.getRepos().listEnabled())
  File "/usr/lib/yum-plugins/security.py", line 81, in ysp_gen_metadata
    md_info.add(repo)
  File "/usr/lib/python2.5/site-packages/yum/update_md.py", line 369, in add
    un = UpdateNotice(elem)
  File "/usr/lib/python2.5/site-packages/yum/update_md.py", line 70, in __init__
    self._parse(elem)
  File "/usr/lib/python2.5/site-packages/yum/update_md.py", line 147, in _parse
    raise UpdateNoticeException("No id element found")
yum.update_md.UpdateNoticeException: No id element found
[root@k8 yum]# 


[root@k8 yum]# yum list-security
Loaded plugins: allowdowngrade, changelog, merge-conf, refresh-packagekit, security
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 229, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 104, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 343, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/lib/yum-plugins/security.py", line 210, in doCommand
    md_info = ysp_gen_metadata(self.repos.listEnabled())
  File "/usr/lib/yum-plugins/security.py", line 81, in ysp_gen_metadata
    md_info.add(repo)
  File "/usr/lib/python2.5/site-packages/yum/update_md.py", line 369, in add
    un = UpdateNotice(elem)
  File "/usr/lib/python2.5/site-packages/yum/update_md.py", line 70, in __init__
    self._parse(elem)
  File "/usr/lib/python2.5/site-packages/yum/update_md.py", line 147, in _parse
    raise UpdateNoticeException("No id element found")
yum.update_md.UpdateNoticeException: No id element found
[root@k8 yum]# 


Version-Release number of selected component (if applicable):

yum info yum-utils

Name       : yum-utils
Arch       : noarch
Version    : 1.1.19
Release    : 1.fc10
Size       : 198 k
Repo       : installed
Summary    : Utilities based around the yum package manager
URL        : http://yum.baseurl.org/download/yum-utils/


yum info yum

Name       : yum
Arch       : noarch
Version    : 3.2.21
Release    : 2.fc10
Size       : 3.1 M
Repo       : installed
Summary    : RPM installer/updater
URL        : http://yum.baseurl.org/
License    : GPLv2+



How reproducible:
Every time.

Steps to Reproduce:
1.yum install yum-security
2.yum list-security
3.OR  yum --security check-update
4
  
Actual results:

fails with backtrace

Expected results:


Additional info:
Please ask for any further required info
Comment 1 James Antill 2009-06-08 10:31:10 EDT
 This is a Fedora rel-eng bug:

https://fedorahosted.org/rel-eng/ticket/1829
Comment 2 colin 2009-06-09 12:42:01 EDT
   	 CLOSED NOTABUG ?

1) It is still broken now.
2) If a program finds some unexpected data in a data file, surely it should not fail horribly making the entire security feature unuseable?
 Surely it should continue to work by skipping the bad entry and continuing on to DO USEFUL WORK ?
Comment 3 James Antill 2009-06-09 13:01:40 EDT
1. Yes, it keeps breaking in Fedora recently for some reason. I keep pinging rel-eng to fix it.

2. In theory we could ignore it, but this really shouldn't happen. I've already changed the exception so that this case is easier to debug. Ignoring it has the significant problem that users will then not see a problem, but they could be missing security errata.

Note You need to log in before you can comment on or make changes to this bug.